Subject: [EAI] http://tools.ietf.org/html/draft-ietf-eai-simpledowngrade-02

From: Arnt Gulbrandsen <[email-masked]>
Date: Tue, 27 Mar 2012 11:18:00 +0200

Hi,

it's there, and contains language to address almost all comments from
reviewews.

There is at least one exception. Section 2.3 (about Subject) does not
(yet) end with "[RFC2047], perhaps adding a prefix or suffix to inform
the user of the downgrading." Alexey wants it, and I think one other
person did too? Martin? I know I'm being sloppy about names.

Anyway. I'll add it if there's support. Personally I'm against it, since
the downgrade process is largely harmless except when the user wants to
reply, and when the user wants that there are clear markers on every
affected address.

Please raise your voice if you support the change.

Arnt

---

From: Barry Leiba <[email-masked]>
Date: Wed, 28 Mar 2012 17:17:48 +0200

> reply, and when the user wants that there are clear markers on every

I'm very much against it.  We can "downgrade" (actually, encode; there's no
real downgrading going on here) the subject with NO loss of data and NO
ugliness.  Let's not screw that up by making it ugly on purpose.

Barry

---

From: John C Klensin <[email-masked]>
Date: Thu, 29 Mar 2012 10:13:24 -0400

--On Wednesday, March 28, 2012 17:17 +0200 Barry Leiba
<[email-masked]> wrote:

>> There is at least one exception. Section 2.3 (about Subject)
>> does not (yet) end with "[RFC2047], perhaps adding a prefix
>> or suffix to inform the user of the downgrading." Alexey
>> wants it, and I think one other person did too? Martin? I
>> know I'm being sloppy about names.
>> 
>> Anyway. I'll add it if there's support. Personally I'm
>> against it, since the downgrade process is largely harmless
>> except when the user wants to reply, and when the user wants
>> that there are clear markers on every affected address.
> 
> I'm very much against it.  We can "downgrade" (actually,
> encode; there's no real downgrading going on here) the subject
> with NO loss of data and NO ugliness.  Let's not screw that up
> by making it ugly on purpose.

Agree.  As a general guideline, I think that it is reasonable to
make any translation or transition that can be made with no loss
of information without adding notes.  In addition, adding notes
to Subject lines after they are transmitted is a bad idea
because the recipient has no idea where the note came from (take
the number of perfectly good messages that arrive with "[ s p a
m ]" in the subject line as an example).

If people think they need a note that transformations were
applied, let's mandate doing it with a track field ("Received:"
or otherwise is a separate discussion) that explains that
something was done and by whom.    And that part of the
behavior, fwiw, should preferably be uniform between simple and
not-simple downgrading.
 
     john